import { MigrationInterface, QueryRunner } from "typeorm";

export class UpdateProfileAddConemail1729228451049 implements MigrationInterface {
    name = 'UpdateProfileAddConemail1729228451049'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`profile\` ADD \`statusEmail\` varchar(255) NULL COMMENT 'สถานะอีเมล'`);
        await queryRunner.query(`ALTER TABLE \`profileHistory\` ADD \`statusEmail\` varchar(255) NULL COMMENT 'สถานะอีเมล'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`profileHistory\` DROP COLUMN \`statusEmail\``);
        await queryRunner.query(`ALTER TABLE \`profile\` DROP COLUMN \`statusEmail\``);
    }

}
